Bug 18100 - Pay amount, Pay selected and individual pay behaving differently
Summary: Pay amount, Pay selected and individual pay behaving differently
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 3.22
Hardware: All All
: P5 - low major (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 21884
  Show dependency treegraph
 
Reported: 2017-02-13 08:18 UTC by Katrin Fischer
Modified: 2020-04-13 21:43 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2017-02-13 08:18:25 UTC
This has been tested with the latest 3.22.x and still needs to be confirmed in newer versions of Koha!

In the patron account, there are 3 different options for paying a fine. 2 show the payment as positive in green, one as negative in red. To test:

1) Add manual fee of any type
2) Pay using the pay button next to the fine entry (individual)
==> Verify the payment is displayed in red as positive amount
3) Add manual fee of any type
4) Pay using the "Pay selected" button at the bottom
==> Verify the payment is displayed in green as a negative amount
5) Add manual fee of any type
6) Pay using the "Pay amount" button at the bottom
==> Verify the payment is displayed in green as a negative amount

Koha itself seems to deal with it somehow, as the sum at the bottom of the table over all payments and fees is always correct.

But the difference is also visible in accountlines and can create quite a mess for reporting. One way to work around it currently is using ABS() before calculating with the amounts.
Comment 1 Jonathan Druart 2017-02-14 14:26:49 UTC
This will be fixed by but 15894, but will not be backported to 3.22.
Comment 2 Katrin Fischer 2017-02-14 14:59:04 UTC
Thx Jonathan, good to know!
Comment 3 Katrin Fischer 2019-01-11 22:09:20 UTC
It was fixed - tested in 17.11.